Package javassist.bytecode.annotation

# Class NoSuchClassError

java.lang.Object
java.lang.Throwable
java.lang.Error
javassist.bytecode.annotation.NoSuchClassError

All Implemented Interfaces:
  `Serializable`

public class NoSuchClassError extends Error
Thrown if the linkage fails. It keeps the name of the class that caused this error.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NoSuchClassError(String className, Error cause)`
Constructs an exception.

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassName()`
Returns the name of the class not found.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NoSuchClassError

public NoSuchClassError(String className, Error cause)
Constructs an exception.

## Method Details

### getClassName

public String getClassName()
Returns the name of the class not found.